Subject: Re: Pain points in Git's patch flow

From: Eric Wong <[email-masked]>
Date: Wed, 28 Apr 2021 07:59:27 +0000

"brian m. carlson" <[email-masked]> wrote:
> I have tooling to automatically generate the proper range for
> range-diffs in cover letters, but that tooling requires some sort of
> manual timestamp, which means I need to go search for my previous series
> to find the date and generate the range diff, or if I'm in a rush, I
> just have to omit it.  This can take some time, having to guess what I
> named the cover letter the last time and search for it in a mailbox with
> a 6-digit quantity of mails[0].
> 
> In general, I have trouble keeping track of the patch mails I've sent.
> I do definitely need to refer to them later, but I don't generally keep
> them around on my system since they tend to duplicate my repository, so
> I end up needing to find them in my mailbox, which as mentioned, is
> slow and error prone.

Along the lines of what Ted said about Fcc, I've always Bcc-ed
myself on every message I send to verify deliverability and
check/train my spam filter.

What search tool do you use?  mairix can handle the 6-digit
quantity of the git list fairly well.  The following finds all
threads with "sandals" in From/To/Cc:

	mairix -t a:sandals d:YYYYMMDD-YYYYMMDD

and dumps it to whatever Maildir/mbox/IMAP "mfolder" you've
configured.  (prefixes in public-inbox such as "a:", "d:" and
"s:" are stolen from mairix; though mairix ranges use "-" and
public-inbox uses ".." due to Xapian).

I've also heard good things about notmuch, but I archive old
mail to gzipped mboxrd right now[1], and that only supports
Maildir...  I learned to use Xapian by reading code in notmuch.

[1] Fwiw, I'm also working on an AGPL Perl5 storage+search CLI
    that scales to 7/8-digit mail collections.  It's not ready
    for prime-time, yet, but getting there...  (Assuming it
    doesn't set my SSD on fire, first :x)